Musician Camela Leierth-Segura hadn’t been seen for almost six weeks before a missing persons report was filed, according to police.

The 48-year-old Swedish native, who co-wrote the hit Katy Perry song “Walking on Air,” was last seen in the Beverly Hills area back on 29 June, according to the California Department of Justice’s missing persons page. Her friends last heard from her on 30 June.

Now, seven weeks on from when she was last seen, the talented musician, her car and her 19-year-old pet cat Morris are still missing with friends and her family back in Sweden growing increasingly concerned for her safety.

Beverly Hills Police have reassured the public that a thorough investigation is underway into her disappearance but revealed that a missing persons report was not filed until 8 August – almost six weeks after she was last seen.

ADVERTISEMENT Advertisement

“The timing is especially crucial considering, the date she is stated to have gone missing compared to when it was reported to the police,” police said in a statement.

Cecilia Foss, a longtime friend of Ms Leierth-Segura, told The Independent earlier this week that she fears someone has abducted the missing woman and is holding her somewhere.

Key points

PICTURED: Camela Leierth-Segura

Musician who wrote Katy Perry hit song mysteriously vanishes from Beverly Hills

‘Do I think something bad happened? Yeah’

Sister pleads for help in GoFundMe fundraiser

Sister living in Sweden raises alarm

Sunday 20 August 2023 16:00 , Rachel Sharp

The alarm was raised for the missing woman when her sister, who lives in Sweden, had been unable to get in touch with her for several weeks.

Concerned, she contacted some of her sibling’s friends in the US to ask for their help in finding her.

Friend Liz Montgomery told ABC7 that she filed a missing person’s report to try to find her as fears continue to grow that something may have happened to her.

In an Instagram post, Ms Montgomery also urged for help in tracking down the missing woman.

“This is a personal friend of mine. A best friend. People are asking so, YES! PLEASE SHARE - HELP NEEDED! My dear friend of over 25 years is missing. LAST SEEN IN BEVERLY HILLS ON JUNE 29,2023,” she wrote.

Missing following eviction

Sunday 20 August 2023 14:00 , Rachel Sharp

Ms Leierth-Segura’s friends told ABC7 that they last heard from her the following day on 30 June and that her car – a 2010 silver Ford Fusion – was seen “in the middle of the night” that night.

Six weeks later, there are still no signs of the talented musician or the Ford Fusion she was driving.

Ms Leierth-Segura’s 19-year-old pet cat Morris is also missing.

The 48-year-old model and musician had been evicted from her apartment sometime before her sudden disappearance because she had been unable to pay the rent, according to friends.

It is not clear when exactly she was evicted or where she was staying afterwards.

Musician who wrote Katy Perry hit song mysteriously vanishes from Beverly Hills

Sunday 20 August 2023 12:00 , Rachel Sharp

A musician who co-wrote the hit Katy Perry song “Walking on Air” has mysteriously vanished from Beverly Hills, sparking growing fears for her safety.

Swedish-born Camela Leierth-Segura, 48, was last seen in the Beverly Hills area back on 29 June, according to the California Department of Justice’s missing persons page.

Read more:

Musician who wrote Katy Perry hit song mysteriously vanishes from Beverly Hills

‘I think it’s hard for them to even comprehend that she is missing'

Sunday 20 August 2023 11:00 , Andrea Cavallier

Ms Montgomery filed a missing persons report with the Beverly Hills Police and has been in close contact with her family in Sweden.

“They are devastated and overwhelmed,” said Ms Foss, who is in contact with Montgomery every day. “With Camela here and her family in Sweden, it’s hard. I think it’s hard for them to even comprehend that she is missing.”

Ms Foss said her friend has had issues in the past with her landlord about rent. But added that she knew many people she could have asked to stay with before ever thinking of going off the grid or living in her car.

Friends working closely with police

Sunday 20 August 2023 10:00 , Andrea Cavallier

The friends are working closely with police and Ms Leierth-Segura’s family in their effort to find her.

In an Instagram post, Ms Montgomery urged for help from the public.

“We are extremely worried about her safety, and despite our best efforts, the local authorities have not been able to locate her,” Montgomery wrote.

“She means the world to us and time is of the essence. Her family in Sweden is pleading for your assistance.”

A GoFundMe has been created by her sister Lisa and loved ones are hoping money will help bring in information to find her.

Met while working in the modelling industry in New York City

Sunday 20 August 2023 08:00 , Andrea Cavallier

Ms Foss and Ms Leierth-Segura met while working in the modelling industry in New York City. They found common ground being from Scandinavian countries, Ms Foss from Norway and Ms Leierth-Segura from Sweden.

Both have kept busy lives, but always manage to catch up every few weeks or months over tea. Ms Leierth-Segura has a passion for writing music and treats her cat Morris as her child, her friend said.

‘I think it’s hard for them to even comprehend that she is missing'

Sunday 20 August 2023 06:00 , Andrea Cavallier

Ms Montgomery filed a missing persons report with the Beverly Hills Police and has been in close contact with her family in Sweden.

“They are devastated and overwhelmed,” said Ms Foss, who is in contact with Montgomery every day. “With Camela here and her family in Sweden, it’s hard. I think it’s hard for them to even comprehend that she is missing.”

Ms Foss said her friend has had issues in the past with her landlord about rent. But added that she knew many people she could have asked to stay with before ever thinking of going off the grid or living in her car.

Last text message sent on 29 June

Sunday 20 August 2023 04:00 , Andrea Cavallier

Neighbours told local news they hadn’t seen her in weeks. The usually well-tended plants on her balcony had died. There was no sign of her cat or her 2010 Ford Fusion with California plate 6KZJ725. It is not clear when exactly she was evicted or where she was staying afterwards.

Ms Leierth-Segura’s last text message was sent on 29 June, and her Ford Fusion car was last seen on police cameras leaving Beverly Hills the following afternoon, 30 June. But it’s not clear who was driving the vehicle, which has not been seen since.

‘She had mentioned it to all of us that she was having trouble'

Sunday 20 August 2023 02:00 , Andrea Cavallier

Another longtime friend Liz Montgomery was alerted by Ms Leierth-Segura’s sister in Sweden, which prompted her to call for a welfare check.

Police responded to her last known address in Beverly Hills where the landlord informed them she had been evicted.

“She had mentioned it to all of us that she was having trouble; Covid definitely was not helpful for her because she’s a musician, model, actress, all that stuff,” Ms Montgomery previously told The Los Angeles Times. “And there was no money coming in.”

‘She was always busy, always working toward her next goal'

Sunday 20 August 2023 00:00 , Andrea Cavallier

In the nearly two months since Ms Leierth-Segura has been gone, friends and loved ones have sent hundreds of text messages and emails, and made phone calls, all that were met with silence.

“She was always busy, always working toward her next goal,” Ms Foss said. “But if I asked her to catch up and she was busy, she’d always respond, “don’t worry we’ll get tea soon.’”

But when several of the friends realized that nobody had heard from her, they became worried, Ms Foss said.

Friends of missing Katy Perry songwriter Camela Leierth-Segura fear someone is holding her captive

Saturday 19 August 2023 22:00 , Andrea Cavallier

A songwriter and model who co-wrote one of Katy Perry’s hit songs has mysteriously vanished and her loved ones fear someone is holding her captive.

The last time Swedish-born Camela Leierth-Segura, 48, was last seen or heard from was on 29 June in the Beverly Hills area, according to the California Department of Justice’s missing persons page.

Her longtime friend Cecilia Foss told The Independent that it’s not like her to just vanish without a trace and the fact that her beloved 19-year-old cat Morris is also missing has made it even more of a mystery.

“My worst fear is that someone has her, and is hurting her,” Ms Foss said about her friend who she added is not someone who would just disappear for seven weeks without responding to anyone.

“If she was going for a drive to clear her head, I get it,” Ms Foss said. “But it’s been seven weeks. And no one has heard from her. Nobody goes for a seven-week drive.”

Read more:

Friends of missing Katy Perry songwriter fear someone is holding her captive

‘My dear friend of over 25 years is missing'

Saturday 19 August 2023 20:00 , Rachel Sharp

Friend Cecilia Foss told ABC7 that she fears something “bad” has happened to the 48-year-old.

“I’d like to think that nothing bad happened, but do I think something bad happened? Yeah,” she said.

Neighbours told the outlet they hadn’t seen her in weeks, pointing out that the usually well-tended plants on her balcony are now dead.

Ms Leierth-Segura is originally from Sweden but moved to California where she works as a model and musician.

As well as co-writing the hit Katy Perry song, she also released songs on YouTube and Spotify.

Ms Leierth-Segura is described as a white woman with blonde hair and blue eyes who is around 5 feet 10 inches tall and weighs about 125 pounds.

Anyone with information is asked to contact Beverly Hills Police Department at 310-285-2184.

Camela Leierth-Segura was reported missing six weeks after she vanished

Saturday 19 August 2023 19:25 , Andrea Blanco

Camela Leierth-Segura was last seen in the Beverly Hills area back on 29 June, according to the California Department of Justice.

Seven weeks on from when she was last seen, the talented musician, her car and her 19-year-old pet cat Morris are still missing.

Beverly Hills police told Fox News Digital in a statement that a missing persons report was not filed until 8 August.

“After speaking with a Detective Bureau supervisor, I learned the (missing person) report was taken on 8/8/23, and this is an ongoing Missing Persons investigation,” the law enforcement said in an email.

“The timing is especially crucial considering, the date she is stated to have gone missing compared to when it was reported to the police,” the law enforcement said in an email.”

VIDEO: ‘Walking On Air’ co-writer missing for weeks

Saturday 19 August 2023 19:00 , Gustaf Kilander

Beverly Hills musician Camela Leierth-Segura, who co-wrote the Katy Perry song "Walking on Air," has been missing for several weeks. https://t.co/7XisVfGMZ8 pic.twitter.com/Ql1h7zgObE — ABC7 Eyewitness News (@ABC7) August 16, 2023

VIDEO: Neighbours speak out on disappearance of Katy Perry’s songwriter

Saturday 19 August 2023 18:00 , Gustaf Kilander

Sister pleads for help in GoFundMe fundraiser

Saturday 19 August 2023 16:00 , Gustaf Kilander

In a GoFundMe fundraiser, the sister of missing woman Camela Leierth asked for help in finding the 48-year-old.

“My beloved sister and our dear friend Camela Leierth Segura is missing from Beverly Hills, Los Angeles since the 29th of June 2023. She was last seen in Beverly Hills where she lives,” Lisa Leierth wrote. “We are desperately seeking information about Camela’s whereabouts.”

“Camela is a sing[er]/songwriter and model from Sweden living in Beverly Hills. She has been writing music for well-known Swedish and American artists and was one of the co-writers of Katy Perry’s Song ‘Walking on Air’,” she added. “We are extremely worried about her safety and despite our efforts, the local police have not been able to locate her. If you have any information, even the smallest detail can help, please reach out immediately.”

“She means the world to us and time is of the essence! Her family and loved ones in Sweden plead for your help!” the sister added.

‘Do I think something bad happened? Yeah’

Saturday 19 August 2023 14:00 , Rachel Sharp

Friend Cecilia Foss told ABC7 that she fears something “bad” has happened to the 48-year-old.

“I’d like to think that nothing bad happened, but do I think something bad happened? Yeah,” she said.

Neighbours told the outlet they hadn’t seen her in weeks, pointing out that the usually well-tended plants on her balcony are now dead.

Ms Leierth-Segura is originally from Sweden but moved to California where she works as a model and musician.

As well as co-writing the hit Katy Perry song, she also released songs on YouTube and Spotify.

Ms Leierth-Segura is described as a white woman with blonde hair and blue eyes who is around 5 feet 10 inches tall and weighs about 125 pounds.

Anyone with information is asked to contact Beverly Hills Police Department at 310-285-2184.

‘This is a personal friend of mine. A best friend'

Saturday 19 August 2023 12:00 , Rachel Sharp

Friend Liz Montgomery told ABC7 that she filed a missing person’s report to try to find her as fears continue to grow that something may have happened to her.

In an Instagram post, Ms Montgomery also urged for help in tracking down the missing woman.

“This is a personal friend of mine. A best friend. People are asking so, YES! PLEASE SHARE - HELP NEEDED! My dear friend of over 25 years is missing. LAST SEEN IN BEVERLY HILLS ON JUNE 29,2023,” she wrote.

“We are extremely worried about her safety, and despite our best efforts, the local authorities have not been able to locate her. If you have any information, even the smallest detail can help, please reach out immediately.”

She added: “She means the world to us and time is of the essence. Her family in Sweden is pleading for your assistance. PLEASE spread the word, SHARE this post, and help us bring Camela home safely. Thank you for your support and assistance in this critical matter.”

Sister living in Sweden raises alarm

Saturday 19 August 2023 10:00 , Rachel Sharp

The alarm was raised for the missing woman when her sister, who lives in Sweden, had been unable to get in touch with her for several weeks.

Concerned, she contacted some of her sibling’s friends in the US to ask for their help in finding her.

Friend Liz Montgomery told ABC7 that she filed a missing person’s report to try to find her as fears continue to grow that something may have happened to her.

In an Instagram post, Ms Montgomery also urged for help in tracking down the missing woman.

“This is a personal friend of mine. A best friend. People are asking so, YES! PLEASE SHARE - HELP NEEDED! My dear friend of over 25 years is missing. LAST SEEN IN BEVERLY HILLS ON JUNE 29,2023,” she wrote.

Missing following eviction

Saturday 19 August 2023 08:00 , Rachel Sharp

Ms Leierth-Segura’s friends told ABC7 that they last heard from her the following day on 30 June and that her car – a 2010 silver Ford Fusion – was seen “in the middle of the night” that night.

Six weeks later, there are still no signs of the talented musician or the Ford Fusion she was driving.

Ms Leierth-Segura’s 19-year-old pet cat Morris is also missing.

The 48-year-old model and musician had been evicted from her apartment sometime before her sudden disappearance because she had been unable to pay the rent, according to friends.

It is not clear when exactly she was evicted or where she was staying afterwards.

Musician who wrote Katy Perry hit song mysteriously vanishes from Beverly Hills

Saturday 19 August 2023 06:00 , Rachel Sharp

A musician who co-wrote the hit Katy Perry song “Walking on Air” has mysteriously vanished from Beverly Hills, sparking growing fears for her safety.

Swedish-born Camela Leierth-Segura, 48, was last seen in the Beverly Hills area back on 29 June, according to the California Department of Justice’s missing persons page.

Read more:

Musician who wrote Katy Perry hit song mysteriously vanishes from Beverly Hills

Friends working closely with police

Saturday 19 August 2023 04:00 , Andrea Cavallier

The friends are working closely with police and Ms Leierth-Segura’s family in their effort to find her.

In an Instagram post, Ms Montgomery urged for help from the public.

“We are extremely worried about her safety, and despite our best efforts, the local authorities have not been able to locate her,” Montgomery wrote.

“She means the world to us and time is of the essence. Her family in Sweden is pleading for your assistance.”

A GoFundMe has been created by her sister Lisa and loved ones are hoping money will help bring in information to find her.

Met while working in the modelling industry in New York City

Saturday 19 August 2023 02:00 , Andrea Cavallier

Ms Foss and Ms Leierth-Segura met while working in the modelling industry in New York City. They found common ground being from Scandinavian countries, Ms Foss from Norway and Ms Leierth-Segura from Sweden.

Both have kept busy lives, but always manage to catch up every few weeks or months over tea. Ms Leierth-Segura has a passion for writing music and treats her cat Morris as her child, her friend said.

‘I think it’s hard for them to even comprehend that she is missing'

Saturday 19 August 2023 00:00 , Andrea Cavallier

Ms Montgomery filed a missing persons report with the Beverly Hills Police and has been in close contact with her family in Sweden.

“They are devastated and overwhelmed,” said Ms Foss, who is in contact with Montgomery every day. “With Camela here and her family in Sweden, it’s hard. I think it’s hard for them to even comprehend that she is missing.”

Ms Foss said her friend has had issues in the past with her landlord about rent. But added that she knew many people she could have asked to stay with before ever thinking of going off the grid or living in her car.

Last text message sent on 29 June

Friday 18 August 2023 22:00 , Andrea Cavallier

Neighbours told local news they hadn’t seen her in weeks. The usually well-tended plants on her balcony had died. There was no sign of her cat or her 2010 Ford Fusion with California plate 6KZJ725. It is not clear when exactly she was evicted or where she was staying afterwards.

Ms Leierth-Segura’s last text message was sent on 29 June, and her Ford Fusion car was last seen on police cameras leaving Beverly Hills the following afternoon, 30 June. But it’s not clear who was driving the vehicle, which has not been seen since.

‘She had mentioned it to all of us that she was having trouble'

Friday 18 August 2023 20:00 , Andrea Cavallier

Another longtime friend Liz Montgomery was alerted by Ms Leierth-Segura’s sister in Sweden, which prompted her to call for a welfare check.

Police responded to her last known address in Beverly Hills where the landlord informed them she had been evicted.

“She had mentioned it to all of us that she was having trouble; Covid definitely was not helpful for her because she’s a musician, model, actress, all that stuff,” Ms Montgomery previously told The Los Angeles Times. “And there was no money coming in.”

Camela Leierth-Segura: Who is the Katy Perry songwriter missing in Beverly Hills?

Friday 18 August 2023 19:30 , Isobel Lewis

Musician Camela Leierth-Segura has sparked concern after it was announced she has been missing for two months.

The Sweden-born songwriter, who is best known for co-writing Katy Perry’s 2013 song “Walking On Air”, was last seen in Beverly Hills, California, on 29 June.

The alarm was raised when her sister, who lives in Sweden, had been unable to get in touch with her for several weeks and contacted friends in the US.

Leierth-Segura’s friends told local news that they last heard from her on 30 June and that her car – a 2010 silver Ford Fusion – was seen that evening “in the middle of the night”.

Read more:

Everything we know about missing songwriter Camela Leierth-Seguara

‘She was always busy, always working toward her next goal'

Friday 18 August 2023 18:00 , Andrea Cavallier

In the nearly two months since Ms Leierth-Segura has been gone, friends and loved ones have sent hundreds of text messages and emails, and made phone calls, all that were met with silence.

“She was always busy, always working toward her next goal,” Ms Foss said. “But if I asked her to catch up and she was busy, she’d always respond, “don’t worry we’ll get tea soon.’”

But when several of the friends realized that nobody had heard from her, they became worried, Ms Foss said.

Friends of missing Katy Perry songwriter Camela Leierth-Segura fear someone is holding her captive

Friday 18 August 2023 16:00 , Andrea Cavallier

A songwriter and model who co-wrote one of Katy Perry’s hit songs has mysteriously vanished and her loved ones fear someone is holding her captive.

The last time Swedish-born Camela Leierth-Segura, 48, was last seen or heard from was on 29 June in the Beverly Hills area, according to the California Department of Justice’s missing persons page.

Her longtime friend Cecilia Foss told The Independent that it’s not like her to just vanish without a trace and the fact that her beloved 19-year-old cat Morris is also missing has made it even more of a mystery.

“My worst fear is that someone has her, and is hurting her,” Ms Foss said about her friend who she added is not someone who would just disappear for seven weeks without responding to anyone.

“If she was going for a drive to clear her head, I get it,” Ms Foss said. “But it’s been seven weeks. And no one has heard from her. Nobody goes for a seven-week drive.”

Read more:

Friends of missing Katy Perry songwriter fear someone is holding her captive

Missing following eviction

Friday 18 August 2023 14:00 , Rachel Sharp

Ms Leierth-Segura’s friends told ABC7 that they last heard from her the following day on 30 June and that her car – a 2010 silver Ford Fusion – was seen “in the middle of the night” that night.

Six weeks later, there are still no signs of the talented musician or the Ford Fusion she was driving.

Ms Leierth-Segura’s 19-year-old pet cat Morris is also missing.

The 48-year-old model and musician had been evicted from her apartment sometime before her sudden disappearance because she had been unable to pay the rent, according to friends.

It is not clear when exactly she was evicted or where she was staying afterwards.

Musician who wrote Katy Perry hit song mysteriously vanishes from Beverly Hills

Friday 18 August 2023 13:00 , Rachel Sharp

A musician who co-wrote the hit Katy Perry song “Walking on Air” has mysteriously vanished from Beverly Hills, sparking growing fears for her safety.

Swedish-born Camela Leierth-Segura, 48, was last seen in the Beverly Hills area back on 29 June, according to the California Department of Justice’s missing persons page.

Read more:

Musician who wrote Katy Perry hit song mysteriously vanishes from Beverly Hills

‘My dear friend of over 25 years is missing'

Friday 18 August 2023 12:00 , Rachel Sharp

Friend Cecilia Foss told ABC7 that she fears something “bad” has happened to the 48-year-old.

“I’d like to think that nothing bad happened, but do I think something bad happened? Yeah,” she said.

Neighbours told the outlet they hadn’t seen her in weeks, pointing out that the usually well-tended plants on her balcony are now dead.

Ms Leierth-Segura is originally from Sweden but moved to California where she works as a model and musician.

As well as co-writing the hit Katy Perry song, she also released songs on YouTube and Spotify.

Ms Leierth-Segura is described as a white woman with blonde hair and blue eyes who is around 5 feet 10 inches tall and weighs about 125 pounds.

Anyone with information is asked to contact Beverly Hills Police Department at 310-285-2184.

VIDEO: ‘Walking On Air’ co-writer missing for weeks

Friday 18 August 2023 11:00 , Gustaf Kilander

Beverly Hills musician Camela Leierth-Segura, who co-wrote the Katy Perry song "Walking on Air," has been missing for several weeks. https://t.co/7XisVfGMZ8 pic.twitter.com/Ql1h7zgObE — ABC7 Eyewitness News (@ABC7) August 16, 2023

VIDEO: Neighbours speak out on disappearance of Katy Perry’s songwriter

Friday 18 August 2023 10:00 , Gustaf Kilander

Sister pleads for help in GoFundMe fundraiser

Friday 18 August 2023 09:00 , Gustaf Kilander

In a GoFundMe fundraiser, the sister of missing woman Camela Leierth asked for help in finding the 48-year-old.

“My beloved sister and our dear friend Camela Leierth Segura is missing from Beverly Hills, Los Angeles since the 29th of June 2023. She was last seen in Beverly Hills where she lives,” Lisa Leierth wrote. “We are desperately seeking information about Camela’s whereabouts.”

“Camela is a sing[er]/songwriter and model from Sweden living in Beverly Hills. She has been writing music for well-known Swedish and American artists and was one of the co-writers of Katy Perry’s Song ‘Walking on Air’,” she added. “We are extremely worried about her safety and despite our efforts, the local police have not been able to locate her. If you have any information, even the smallest detail can help, please reach out immediately.”

“She means the world to us and time is of the essence! Her family and loved ones in Sweden plead for your help!” the sister added.

‘Do I think something bad happened? Yeah’

Friday 18 August 2023 08:00 , Rachel Sharp

Friend Cecilia Foss told ABC7 that she fears something “bad” has happened to the 48-year-old.

“I’d like to think that nothing bad happened, but do I think something bad happened? Yeah,” she said.

Neighbours told the outlet they hadn’t seen her in weeks, pointing out that the usually well-tended plants on her balcony are now dead.

Ms Leierth-Segura is originally from Sweden but moved to California where she works as a model and musician.

As well as co-writing the hit Katy Perry song, she also released songs on YouTube and Spotify.

Ms Leierth-Segura is described as a white woman with blonde hair and blue eyes who is around 5 feet 10 inches tall and weighs about 125 pounds.

Anyone with information is asked to contact Beverly Hills Police Department at 310-285-2184.

‘This is a personal friend of mine. A best friend'

Friday 18 August 2023 07:00 , Rachel Sharp

Friend Liz Montgomery told ABC7 that she filed a missing person’s report to try to find her as fears continue to grow that something may have happened to her.

In an Instagram post, Ms Montgomery also urged for help in tracking down the missing woman.

“This is a personal friend of mine. A best friend. People are asking so, YES! PLEASE SHARE - HELP NEEDED! My dear friend of over 25 years is missing. LAST SEEN IN BEVERLY HILLS ON JUNE 29,2023,” she wrote.

“We are extremely worried about her safety, and despite our best efforts, the local authorities have not been able to locate her. If you have any information, even the smallest detail can help, please reach out immediately.”

She added: “She means the world to us and time is of the essence. Her family in Sweden is pleading for your assistance. PLEASE spread the word, SHARE this post, and help us bring Camela home safely. Thank you for your support and assistance in this critical matter.”

Sister living in Sweden raises alarm

Friday 18 August 2023 06:00 , Rachel Sharp

The alarm was raised for the missing woman when her sister, who lives in Sweden, had been unable to get in touch with her for several weeks.

Concerned, she contacted some of her sibling’s friends in the US to ask for their help in finding her.

Friend Liz Montgomery told ABC7 that she filed a missing person’s report to try to find her as fears continue to grow that something may have happened to her.

In an Instagram post, Ms Montgomery also urged for help in tracking down the missing woman.

“This is a personal friend of mine. A best friend. People are asking so, YES! PLEASE SHARE - HELP NEEDED! My dear friend of over 25 years is missing. LAST SEEN IN BEVERLY HILLS ON JUNE 29,2023,” she wrote.

Missing following eviction

Friday 18 August 2023 05:00 , Rachel Sharp

Ms Leierth-Segura’s friends told ABC7 that they last heard from her the following day on 30 June and that her car – a 2010 silver Ford Fusion – was seen “in the middle of the night” that night.

Six weeks later, there are still no signs of the talented musician or the Ford Fusion she was driving.

Ms Leierth-Segura’s 19-year-old pet cat Morris is also missing.

The 48-year-old model and musician had been evicted from her apartment sometime before her sudden disappearance because she had been unable to pay the rent, according to friends.

It is not clear when exactly she was evicted or where she was staying afterwards.

Musician who wrote Katy Perry hit song mysteriously vanishes from Beverly Hills

Friday 18 August 2023 04:00 , Rachel Sharp

A musician who co-wrote the hit Katy Perry song “Walking on Air” has mysteriously vanished from Beverly Hills, sparking growing fears for her safety.

Swedish-born Camela Leierth-Segura, 48, was last seen in the Beverly Hills area back on 29 June, according to the California Department of Justice’s missing persons page.

Read more:

Musician who wrote Katy Perry hit song mysteriously vanishes from Beverly Hills